using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.BusinessLogicsContracts
{
    public interface ICurrencyPurchaseLogic
    {
        List<CurrencyPurchaseViewModel>? ReadList(CurrencyPurchaseSearchModel? model);
        CurrencyPurchaseViewModel? ReadElement(CurrencyPurchaseSearchModel model);
        bool Create(CurrencyPurchaseBindingModel model);
        bool Update(CurrencyPurchaseBindingModel model);
        bool Delete(CurrencyPurchaseBindingModel model);
    }
}
